#ifndef __HWCTRL_H__
#define __HWCTRL_H__

#include "mcu.h"
#include "MotorCtrl.h"

/*******************************************************************************
 * the defines
 ******************************************************************************/

extern uint32_t adcResult[];
/*******************************************************************************
 * the typedefs
 ******************************************************************************/
typedef enum
{
    ADCH_Power=0,
    ADCH_RLY1,
    ADCH_RLY3,
    ADCH_RLY5,
    ADCH_HEAT_SENSOR1,
    ADCH_HEAT_SENSOR2,
    ADCH_HEAT_C1,
    ADCH_HEAT_C2,
    ADCH_NUM,
}ADCH_ID_type;


/*******************************************************************************
 * the function prototypes
 ******************************************************************************/
void hw_init(McuType *obj);
void hw_MotorCtrl(McuType *obj,Motor_ID_Type motorid,Motor_ACT_Type dir);



#endif
